//Fogs//

datablock ParticleData(Thickfog1Particle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0;
	constantAcceleration = 2;
	lifetimeMS           = 40000;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 0.0;
	spinRandomMin		= -10.0;
	spinRandomMax		= 10.0;
	colors[0]     = "0.5 0.5 0.5 0.0";
	colors[1]     = "0.5 0.5 0.5 0.7";
	colors[2]     = "0.5 0.5 0.5 0.6";
	colors[3]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 10.15;
	sizes[1]      = 10.10;
	sizes[2]      = 10.15;
	sizes[3]      = 10.10;
	times[0]      = 0.1;
	times[1]      = 0.2;
	times[2]      = 0.9;
	times[3]      = 1.0;
	windCoefficient = 0.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(Thickfog1Emitter)
{
   ejectionPeriodMS = 500;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 20;
   phiReferenceVel  = 360;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "Thickfog1Particle";

   useEmitterColors = true;

    uiName = "W Fog Thick Light";
};

datablock ParticleData(Thickfog2Particle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0;
	constantAcceleration = 2;
	lifetimeMS           = 40000;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 0.0;
	spinRandomMin		= -10.0;
	spinRandomMax		= 10.0;
	colors[0]     = "0.5 0.5 0.5 0.0";
	colors[1]     = "0.5 0.5 0.5 0.7";
	colors[2]     = "0.5 0.5 0.5 0.6";
	colors[3]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 10.15;
	sizes[1]      = 10.10;
	sizes[2]      = 10.15;
	sizes[3]      = 10.10;
	times[0]      = 0.1;
	times[1]      = 0.2;
	times[2]      = 0.9;
	times[3]      = 1.0;
	windCoefficient = 0.0;

	useInvAlpha = true;
};
datablock ParticleEmitterData(Thickfog2Emitter)
{
   ejectionPeriodMS = 500;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 20;
   phiReferenceVel  = 360;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "Thickfog2Particle";

   useEmitterColors = true;

    uiName = "W Fog Thick Dark";
};

datablock ParticleData(groundSnowParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0;
	constantAcceleration = 2;
	lifetimeMS           = 40000;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 0.0;
	spinRandomMin		= -0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.5 0.5 0.5 0.0";
	colors[1]     = "0.5 0.5 0.5 0.7";
	colors[2]     = "0.5 0.5 0.5 0.7";
	colors[3]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 2.0;
	sizes[1]      = 2.0;
	sizes[2]      = 2.0;
	sizes[3]      = 2.0;
	times[0]      = 0.0;
	times[1]      = 0.05;
	times[2]      = 0.95;
	times[3]      = 1.0;
	windCoefficient = 0.0;

	useInvAlpha = true;
};
datablock ParticleEmitterData(groundSnowEmitter)
{
   ejectionPeriodMS = 200;
   periodVarianceMS = 50;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.3;
   thetaMin         = 0;
   thetaMax         = 20;
   phiReferenceVel  = 360;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "groundSnowParticle";

   useEmitterColors = true;

    uiName = "W Snow Ground";
};

datablock ParticleData(ambientfog1Particle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0;
	constantAcceleration = 0;
	lifetimeMS           = 20000;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 0.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.1 0.1 0.1 0.00";
	colors[1]     = "0.1 0.1 0.1 0.08";
	colors[2]     = "0.1 0.1 0.1 0.08";
	colors[3]     = "0.1 0.1 0.1 0.00";
	sizes[0]      = 12.10;
	sizes[1]      = 12.10;
	sizes[2]      = 12.10;
	sizes[3]      = 12.10;
	times[0]      = 0.0;
	times[1]      = 0.15;
	times[2]      = 0.85;
	times[3]      = 1.0;
	windCoefficient = 0.0;

	useInvAlpha = true;
};
datablock ParticleEmitterData(ambientfogAEmitter)
{
   ejectionPeriodMS = 500;
   periodVarianceMS = 0;
   ejectionVelocity = 0.2;
   velocityVariance = 0.0;
   ejectionOffset   = 2.2;
   thetaMin         = 0;
   thetaMax         = 20;
   phiReferenceVel  = 360;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ambientfog1Particle";

   useEmitterColors = true;

    uiName = "W Fog Ambient 64x64";
};

datablock ParticleData(ambientfog2Particle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0;
	constantAcceleration = 0;
	lifetimeMS           = 5000;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 0.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.1 0.1 0.1 0.00";
	colors[1]     = "0.1 0.1 0.1 0.08";
	colors[2]     = "0.1 0.1 0.1 0.08";
	colors[3]     = "0.1 0.1 0.1 0.00";
	sizes[0]      = 12.10;
	sizes[1]      = 12.10;
	sizes[2]      = 12.10;
	sizes[3]      = 12.10;
	times[0]      = 0.0;
	times[1]      = 0.3;
	times[2]      = 0.7;
	times[3]      = 1.0;
	windCoefficient = 0.0;

	useInvAlpha = true;
};
datablock ParticleEmitterData(ambientfogBEmitter)
{
   ejectionPeriodMS = 1000;
   periodVarianceMS = 0;
   ejectionVelocity = 0.2;
   velocityVariance = 0.0;
   ejectionOffset   = 2.2;
   thetaMin         = 0;
   thetaMax         = 20;
   phiReferenceVel  = 360;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ambientfog2Particle";

   useEmitterColors = true;

    uiName = "W Fog Ambient 16x16";
};

datablock ParticleData(groundFogParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0;
	constantAcceleration = 0;
	lifetimeMS           = 8000;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 0.0;
	spinRandomMin		= -0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.5 0.5 0.5 0.0";
	colors[1]     = "0.5 0.5 0.5 0.1";
	colors[2]     = "0.5 0.5 0.5 0.1";
	colors[3]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 2.0;
	sizes[1]      = 2.0;
	sizes[2]      = 2.0;
	sizes[3]      = 2.0;
	times[0]      = 0.0;
	times[1]      = 0.05;
	times[2]      = 0.95;
	times[3]      = 1.0;
	windCoefficient = 0.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(groundFogAEmitter)
{
   ejectionPeriodMS = 40;
   periodVarianceMS = 20;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 20;
   phiReferenceVel  = 360;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "groundFogParticle";

   useEmitterColors = true;

    uiName = "W Fog Ground 64x64";
};

datablock ParticleEmitterData(groundFogBEmitter)
{
   ejectionPeriodMS = 160;
   periodVarianceMS = 80;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 20;
   phiReferenceVel  = 360;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "groundFogParticle";

   useEmitterColors = true;

    uiName = "W Fog Ground 16x16";
};